<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: CAContinuousQuantityEdible Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d88/class_c_a_continuous_quantity_edible.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">CAContinuousQuantityEdible Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for CAContinuousQuantityEdible:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/d88/class_c_a_continuous_quantity_edible.png" usemap="#CAContinuousQuantityEdible_map" alt=""/>
  <map id="CAContinuousQuantityEdible_map" name="CAContinuousQuantityEdible_map">
<area href="../../dd/d3b/class_c_a_continuous_quantity_repeat.html" alt="CAContinuousQuantityRepeat" shape="rect" coords="0,0,179,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a13a40f80157a6c1ceff323cb2fec1c79"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d88/class_c_a_continuous_quantity_edible.html#a13a40f80157a6c1ceff323cb2fec1c79">CAContinuousQuantityEdible</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> quantity_used_per_second, <a class="el" href="../../d4/dc3/classfloat.html">float</a> time_to_repeat)</td></tr>
<tr class="separator:a13a40f80157a6c1ceff323cb2fec1c79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38b958c6c3f92226f022a0476a5ba1cf"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d88/class_c_a_continuous_quantity_edible.html#a38b958c6c3f92226f022a0476a5ba1cf">Setup</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a38b958c6c3f92226f022a0476a5ba1cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a735a1a05ce47815f54ae37e1930af8e8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d88/class_c_a_continuous_quantity_edible.html#a735a1a05ce47815f54ae37e1930af8e8">CalcAndSetQuantity</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a735a1a05ce47815f54ae37e1930af8e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a843f855134cfb102b0d428bb9d48c935"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d88/class_c_a_continuous_quantity_edible.html#a843f855134cfb102b0d428bb9d48c935">GetProgress</a> ()</td></tr>
<tr class="separator:a843f855134cfb102b0d428bb9d48c935"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a41d3aec2172b3e741bf495249c2c0f37"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d88/class_c_a_continuous_quantity_edible.html#a41d3aec2172b3e741bf495249c2c0f37">m_InitItemQuantity</a></td></tr>
<tr class="separator:a41d3aec2172b3e741bf495249c2c0f37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61e1377b51daff294125430c6eabae3c"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d88/class_c_a_continuous_quantity_edible.html#a61e1377b51daff294125430c6eabae3c">m_SpentQuantityTotal</a></td></tr>
<tr class="separator:a61e1377b51daff294125430c6eabae3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html#l00001">1</a> of file <a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html">CAContinuousQuantityEdible.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a13a40f80157a6c1ceff323cb2fec1c79" name="a13a40f80157a6c1ceff323cb2fec1c79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13a40f80157a6c1ceff323cb2fec1c79">&#9670;&#160;</a></span>CAContinuousQuantityEdible()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CAContinuousQuantityEdible::CAContinuousQuantityEdible </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>quantity_used_per_second</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>time_to_repeat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html#l00006">6</a> of file <a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html">CAContinuousQuantityEdible.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a735a1a05ce47815f54ae37e1930af8e8" name="a735a1a05ce47815f54ae37e1930af8e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a735a1a05ce47815f54ae37e1930af8e8">&#9670;&#160;</a></span>CalcAndSetQuantity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CAContinuousQuantityEdible::CalcAndSetQuantity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html#l00024">24</a> of file <a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html">CAContinuousQuantityEdible.c</a>.</p>

</div>
</div>
<a id="a843f855134cfb102b0d428bb9d48c935" name="a843f855134cfb102b0d428bb9d48c935"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a843f855134cfb102b0d428bb9d48c935">&#9670;&#160;</a></span>GetProgress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousQuantityEdible::GetProgress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html#l00056">56</a> of file <a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html">CAContinuousQuantityEdible.c</a>.</p>

</div>
</div>
<a id="a38b958c6c3f92226f022a0476a5ba1cf" name="a38b958c6c3f92226f022a0476a5ba1cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38b958c6c3f92226f022a0476a5ba1cf">&#9670;&#160;</a></span>Setup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CAContinuousQuantityEdible::Setup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html#l00014">14</a> of file <a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html">CAContinuousQuantityEdible.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a41d3aec2172b3e741bf495249c2c0f37" name="a41d3aec2172b3e741bf495249c2c0f37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41d3aec2172b3e741bf495249c2c0f37">&#9670;&#160;</a></span>m_InitItemQuantity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousQuantityEdible::m_InitItemQuantity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html#l00003">3</a> of file <a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html">CAContinuousQuantityEdible.c</a>.</p>

</div>
</div>
<a id="a61e1377b51daff294125430c6eabae3c" name="a61e1377b51daff294125430c6eabae3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61e1377b51daff294125430c6eabae3c">&#9670;&#160;</a></span>m_SpentQuantityTotal</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> CAContinuousQuantityEdible::m_SpentQuantityTotal</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html#l00004">4</a> of file <a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html">CAContinuousQuantityEdible.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/ActionComponents/<a class="el" href="../../d3/d4b/_c_a_continuous_quantity_edible_8c_source.html">CAContinuousQuantityEdible.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d88/class_c_a_continuous_quantity_edible.html">CAContinuousQuantityEdible</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
